# -------------------------------------------------------------------------- #
# Copyright 2002-2009, Distributed Systems Architecture Group, Universidad   #
# Complutense de Madrid (dsa-research.org)                                   #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Summary: OpenNebula
Name: opennebula
Version: 3.4.0
Release: 1
License: Apache
Group: System
URL: http://opennebula.org

Source: opennebula-3.4.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: xmlrpc-c,libxmlrpc-c-devel, sqlite3-devel, scons, libmysqlclient-devel
Packager: OpenNebula Team <contact.org>

%description
OpenNebula is a Virtual Infrastructure Manager that orchestrates storage,
network and virtualization technologies to enable the dynamic placement of
multi-tier services (groups of interconnected virtual machines) on distributed
infrastructures, combining both data center resources and remote cloud
resources, according to allocation policies. OpenNebula provides internal and
Cloud administration and user interfaces for the full management of the Cloud
platform.

OpenNebula is free software released under the Apache License.

%prep
%setup -q -n opennebula-3.4.0


%build
scons -j2 mysql=yes

%install
DESTDIR=%{buildroot} ./install.sh
mkdir -p %{buildroot}/etc/init.d
cp share/etc/init.d/oned.opensuse %{buildroot}/etc/init.d/oned

PASSWORD=$(echo $RANDOM$(date '+%s')|md5sum|cut -d' ' -f1)
mkdir -p %{buildroot}/var/lib/one/.one
echo oneadmin:$PASSWORD > %{buildroot}/var/lib/one/.one/one_auth

%clean
%{__rm} -rf %{buildroot}

%pre
mkdir -p /etc/one
mkdir -p /usr/lib/one
mkdir -p /usr/share/one
mkdir -p /var/lock/one
mkdir -p /var/log/one
mkdir -p /var/run/one

getent group oneadmin >/dev/null || groupadd -r oneadmin
if ! grep -q oneadmin /etc/passwd
then
    %{_sbindir}/useradd -r -m -d /var/lib/one -g oneadmin -s /bin/bash oneadmin 2> /dev/null
else
    %{_sbindir}/groupmod -A oneadmin oneadmin
fi

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add oned >/dev/null
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service oned stop >/dev/null
    /sbin/chkconfig --del oned >/dev/null
fi

%files
%defattr(-, root, root, 0755)
/etc/init.d/oned
%config /etc/one/econe.conf
%config /etc/one/vmwarerc
%config /etc/one/cli/oneacl.yaml
%config /etc/one/cli/onegroup.yaml
%config /etc/one/cli/onevm.yaml
%config /etc/one/cli/oneuser.yaml
%config /etc/one/cli/onetemplate.yaml
%config /etc/one/cli/onevnet.yaml
%config /etc/one/cli/oneimage.yaml
%config /etc/one/cli/onedatastore.yaml
%config /etc/one/cli/onecluster.yaml
%config /etc/one/cli/onehost.yaml
%config /etc/one/vmm_ec2/vmm_ec2rc
%config /etc/one/vmm_ec2/vmm_ec2.conf
%config /etc/one/sunstone-plugins.yaml
%config /etc/one/ec2query_templates/m1.small.erb
%config /etc/one/auth/ldap_auth.conf
%config /etc/one/auth/server_x509_auth.conf
%config /etc/one/auth/quota.conf
%config /etc/one/auth/x509_auth.conf
%config /etc/one/occi_templates/large.erb
%config /etc/one/occi_templates/network.erb
%config /etc/one/occi_templates/custom.erb
%config /etc/one/occi_templates/medium.erb
%config /etc/one/occi_templates/small.erb
%config /etc/one/occi_templates/common.erb
%config /etc/one/group.default
%config /etc/one/sched.conf
%config /etc/one/sunstone-server.conf
%config /etc/one/acctd.conf
%config /etc/one/ozones-server.conf
%config /etc/one/hm/hmrc
%config /etc/one/occi-server.conf
%config /etc/one/im_ec2/im_ec2.conf
%config /etc/one/im_ec2/im_ec2rc
%config /etc/one/oned.conf
%config /etc/one/defaultrc
%config /etc/one/vmm_exec/vmm_exec_vmware.conf
%config /etc/one/vmm_exec/vmm_exec_xen.conf
%config /etc/one/vmm_exec/vmm_exec_kvm.conf
%config /etc/one/vmm_exec/vmm_execrc
/usr/bin
/usr/include
/usr/lib/one
/usr/share/one
%doc /usr/share/man/man1/
%defattr(-, oneadmin, oneadmin, 0755)
/var/lib/one
/var/lock/one
/var/log/one
/var/run/one



